<?php
require("../class/connect.php");
include("../class/db_sql.php");
include("../class/config.php");
include("../class/class.php");
include("../class/functions.php");
$link=db_connect();
$empire=new mysqlquery();
$logininid=getcvar('loginuserid');
$loginin=getcvar('loginusername');
$loginrnd=getcvar('loginrnd');
$loginlevel=getcvar('loginlevel');
is_login($logininid,$loginin,$loginrnd);
$enews=$_GET['enews'];
$classid=(int)$_GET['classid'];
$bclassid=(int)$_GET['bclassid'];
if(empty($class_r[$classid][classid]))
{printerror("ErrorUrl","history.go(-1)");}
//验证权限
$doselfinfo=CheckLevel($logininid,$loginin,$classid,"news");
if(!$class_r[$classid][tbname]||!$class_r[$classid][classid])
{
	printerror("ErrorUrl","history.go(-1)");
}
$id=(int)$_GET['id'];
//附件验证码
if($enews=="AddNews")
{
	//增加权限
	if(!$doselfinfo['doaddinfo'])
	{
		printerror("NotAddInfoLevel","history.go(-1)");
	}
	$filepass=time();
}
else
{
	//编辑权限
	if(!$doselfinfo['doeditinfo'])
	{
		printerror("NotEditInfoLevel","history.go(-1)");
	}
	$filepass=$id;
}
//mod
$modid=$class_r[$classid][modid];
$modr=$empire->fetch1("select enter from {$dbtbpre}enewsmod where mid='$modid'");
$url="<a href=ListNews.php?bclassid=".$bclassid."&classid=".$classid.">".$class_r[$bclassid][classname]."</a>&nbsp;->&nbsp;<a href=ListNews.php?bclassid=".$bclassid."&classid=".$classid.">".$class_r[$classid][classname]."</a>&nbsp;->&nbsp;增加信息";
$r[newstime]=date("Y-m-d H:i:s");
$todaytime=$r[newstime];
if($class_r[$classid][checked])
{$checked=" checked";}
$dokey=" checked";
$r[onclick]=0;
//----------会员组
$sql1=$empire->query("select groupid,groupname from {$dbtbpre}enewsmembergroup order by level");
while($l_r=$empire->fetch($sql1))
{
	$ygroup.="<option value=".$l_r[groupid].">".$l_r[groupname]."</option>";
}
if($enews=="AddNews")
{
	$group=str_replace(" value=".$class_r[$classid][groupid].">"," value=".$class_r[$classid][groupid]." selected>",$ygroup);
}
//初使化数据
$r[userfen]=0;
$isgood="";
$titlefontb="";
$titlefonti="";
$titlefonts="";
$opentime="";
$r[starttime]=$r[newstime];
$r[endtime]=$r[newstime];
$r[checkuser]=$class_r[$classid][checkuser];
//图片集模型
if(strstr($modr[enter],"morepic<"))
{
	$morepicnum=3;
	$morepicpath="<table width=100% border=0 align=center cellpadding=3 cellspacing=1>
  <tr> 
    <td width=7%><div align=center>1</div></td>
    <td width=33%><div align=center>
        <input name=msmallpic[] type=text id=msmallpic[] size=28>
		<br><input type=file name=msmallpfile[] size=15>
      </div></td>
    <td width=30%><div align=center>
        <input name=mbigpic[] type=text id=mbigpic[] size=28>
		<br><input type=file name=mbigpfile[] size=15>
      </div></td>
    <td width=30%><div align=center>
        <input name=mpicname[] type=text id=mpicname[]>
      </div></td>
  </tr>
	  <tr> 
    <td width=7%><div align=center>2</div></td>
    <td width=33%><div align=center>
        <input name=msmallpic[] type=text id=msmallpic[] size=28>
		<br><input type=file name=msmallpfile[] size=15>
      </div></td>
    <td width=30%><div align=center>
        <input name=mbigpic[] type=text id=mbigpic[] size=28>
		<br><input type=file name=mbigpfile[] size=15>
      </div></td>
    <td width=30%><div align=center>
        <input name=mpicname[] type=text id=mpicname[]>
      </div></td>
  </tr>
	  <tr> 
    <td width=7%><div align=center>3</div></td>
    <td width=33%><div align=center>
        <input name=msmallpic[] type=text id=msmallpic[] size=28>
		<br><input type=file name=msmallpfile[] size=15>
      </div></td>
    <td width=30%><div align=center>
        <input name=mbigpic[] type=text id=mbigpic[] size=28>
		<br><input type=file name=mbigpfile[] size=15>
      </div></td>
    <td width=30%><div align=center>
        <input name=mpicname[] type=text id=mpicname[]>
      </div></td>
  </tr>
</table>";
}
//下载地址前缀
if(strstr($modr[enter],"downpath<")||strstr($modr[enter],"onlinepath<"))
{
	$downurlqz="";
	$newdownqz="";
	$downsql=$empire->query("select urlname,url,urlid from {$dbtbpre}enewsdownurlqz order by urlid");
	while($downr=$empire->fetch($downsql))
	{
		$downurlqz.="<option value='".$downr[url]."'>".$downr[urlname]."</option>";
		$newdownqz.="<option value='".$downr[urlid]."'>".$downr[urlname]."</option>";
	}
}
//下载模型
if(strstr($modr[enter],"downpath<"))
{
	$editnum=3;
	$downloadpath="<table width=100% border=0 cellspacing=1 cellpadding=3>
                <tr> 
                  <td width=7%> <div align=center>1</div></td>
                  <td width=19%> <div align=left> 
                      <input name=downname[] type=text value=下载地址1 size=17>
                    </div></td>
                  <td width=40%> <input name=downpath[] type=text size=36><select name=thedownqz[]><option value=''>--地址前缀--</option>".$newdownqz."</select> 
                  </td>
                  <td width=21%><div align=center> 
                      <select name=downuser[]>
                        <option value=0>游客</option>
                        ".$ygroup."
                      </select>
                    </div></td>
                  <td width=13%> <div align=center> 
                      <input name=fen[] type=text value=0 size=6>
                    </div></td>
                </tr>
                <tr> 
                  <td><div align=center>2</div></td>
                  <td><input name=downname[] type=text value=下载地址2 size=17></td>
                  <td><input name=downpath[] type=text size=36><select name=thedownqz[]><option value=''>--地址前缀--</option>".$newdownqz."</select></td>
                  <td><div align=center> 
                      <select name=downuser[]>
                        <option value=0>游客</option>
                        ".$ygroup."
                      </select>
                    </div></td>
                  <td><div align=center> 
                      <input name=fen[] type=text value=0 size=6>
                    </div></td>
                </tr>
                <tr> 
                  <td><div align=center>3</div></td>
                  <td><input name=downname[] type=text value=下载地址3 size=17></td>
                  <td><input name=downpath[] type=text size=36><select name=thedownqz[]><option value=''>--地址前缀--</option>".$newdownqz."</select></td>
                  <td><div align=center> 
                      <select name=downuser[]>
                        <option value=0>游客</option>
                        ".$ygroup."
                      </select>
                    </div></td>
                  <td><div align=center> 
                      <input name=fen[] type=text value=0 size=6>
                    </div></td>
                </tr>
              </table>";
}
//-----------在线电影模型
if(strstr($modr[enter],"onlinepath<"))
{
	$wplay0="";
	$wplay1=" checked";
	$oeditnum=3;
	$onlinemoviepath="<table width=100% border=0 cellspacing=1 cellpadding=3>
                <tr> 
                  <td width=7%> <div align=center>1</div></td>
                  <td width=19%> <div align=left> 
                      <input name=odownname[] type=text value=1 size=17>
                    </div></td>
                  <td width=40%> <input name=odownpath[] type=text id=odownpath[] size=36><select name=othedownqz[]><option value=''>--地址前缀--</option>".$newdownqz."</select> 
                  </td>
                  <td width=21%><div align=center> 
                      <select name=odownuser[] id=select>
                        <option value=0>游客</option>
                        ".$ygroup."
                      </select>
                    </div></td>
                  <td width=13%> <div align=center> 
                      <input name=ofen[] type=text id=ofen[] value=0 size=6>
                    </div></td>
                </tr>
                <tr> 
                  <td><div align=center>2</div></td>
                  <td><input name=odownname[] type=text id=odownname[] value=2 size=17></td>
                  <td><input name=odownpath[] type=text id=odownpath[] size=36><select name=othedownqz[]><option value=''>--地址前缀--</option>".$newdownqz."</select>
				  </td>
                  <td><div align=center> 
                      <select name=odownuser[] id=select2>
                        <option value=0>游客</option>
                        ".$ygroup."
                      </select>
                    </div></td>
                  <td><div align=center> 
                      <input name=ofen[] type=text id=ofen[] value=0 size=6>
                    </div></td>
                </tr>
                <tr> 
                  <td><div align=center>3</div></td>
                  <td><input name=odownname[] type=text id=odownname[] value=3 size=17></td>
                  <td><input name=odownpath[] type=text id=odownpath[] size=36><select name=othedownqz[]><option value=''>--地址前缀--</option>".$newdownqz."</select>	  
					  </td>
                  <td><div align=center> 
                      <select name=odownuser[] id=odownuser[]>
                        <option value=0>游客</option>
                        ".$ygroup."
                      </select>
                    </div></td>
                  <td><div align=center> 
                      <input name=ofen[] type=text id=ofen[] value=0 size=6>
                    </div></td>
                </tr>
              </table>";
}
//html编辑器
if(strstr($modr[enter],"newstext<"))
{
	$htmlareacode="<script type=\"text/javascript\">
      _editor_url = \"editor\";
      _editor_lang = \"en\";
    </script>

<script type=\"text/javascript\" src=\"editor/htmlarea.php?userid=$logininid&username=$loginin&rnd=$loginrnd&classid=$classid&filepass=$filepass\"></script>
<script type=\"text/javascript\" src=\"editor/plugins/FullPage/full-page.js\"></script>
<script type=\"text/javascript\" src=\"editor/plugins/FullPage/lang/en.js\"></script>

<script type=\"text/javascript\">
//HTMLArea.loadPlugin(\"FullPage\");

var editor = null;
function initEditor() {
editor = new HTMLArea(\"newstext\");
editor.registerPlugin(FullPage);

editor.generate();
document.all['title'].focus();
return false;
}

function DoFile(html) {
	editor.insertHTML(html);
}
    </script>";

	$onload=" onload=\"initEditor()\"";
}

$changeuser="<input type=\"button\" name=\"Submit\" value=\"选择用户\" onclick=\"window.open('ChangeUser.php?field=checkuser&form=add','','width=300,height=520,scrollbars=yes');\">";
//强制签发权限
if($class_r[$classid][docheckuser])
{
	$checkuserreadonly=" readonly";
	$changeuser="";
}
//-----------------------------------------修改信息
if($enews=="EditNews")
{
	$r=$empire->fetch1("select * from {$dbtbpre}ecms_".$class_r[$classid][tbname]." where id='$id' and classid='$classid'");
	if(!$r[id])
	{
		printerror("ErrorUrl","history.go(-1)");
	}
	//只能编辑自己的信息
	if($doselfinfo['doselfinfo']&&($r[userid]<>$logininid||$r[ismember]))
	{
		printerror("NotDoSelfinfo","history.go(-1)");
	}
	//会员组
	$group=str_replace(" value=".$r[groupid].">"," value=".$r[groupid]." selected>",$ygroup);
	//------新闻内容
	if(strstr($modr[enter],"newstext<"))
	{
		$newstext_url="";
		//存放文本
		if(strstr($public_r['savetxtf'],",".$class_r[$classid][tbname].".newstext,"))
		{
			$newstext_url=$r[newstext];
			$r[newstext]=GetTxtFieldText($r[newstext]);
		}
		$newstext=htmlspecialchars($r[newstext]);
    }
	$url="<a href=ListNews.php?bclassid=".$bclassid."&classid=".$classid.">".$class_r[$bclassid][classname]."</a>&nbsp;->&nbsp;<a href=ListNews.php?bclassid=".$bclassid."&classid=".$classid.">".$class_r[$classid][classname]."</a>&nbsp;->&nbsp;修改信息：<b>".stripSlashes($r[title])."</b>";
	$checked="";
	if($r[checked])
	{$checked=" checked";}
	$dokey="";
	if($r[dokey])
	{$dokey=" checked";}
	//签发
	$userlen=strlen($r[checkuser])-1;
	$r[checkuser]=substr($r[checkuser],1,$userlen-1);
	//推荐
	if($r[isgood])
	{
		$isgood=" checked";
	}
	//启用时间限制
	if($r[opentime])
	{$opentime=" checked";}
	//头条
	if($r[firsttitle])
	{$firsttitle=" checked";}
	if(strstr($r[titlefont],"b"))
	{$titlefontb=" checked";}
	if(strstr($r[titlefont],"i"))
	{$titlefonti=" checked";}
	if(strstr($r[titlefont],"s"))
	{$titlefonts=" checked";}
	//置顶
	if($r[istop]==1)
	{$istop1=" selected";}
	elseif($r[istop]==2)
	{$istop2=" selected";}
	elseif($r[istop]==3)
	{$istop3=" selected";}
	elseif($r[istop]==4)
	{$istop4=" selected";}
	elseif($r[istop]==5)
	{$istop5=" selected";}
	elseif($r[istop]==6)
	{$istop6=" selected";}
	else
	{$istop0=" selected";}
	//图片集系统模型
	$morepicpath="";
	if(strstr($modr[enter],"morepic<"))
	{
		$morepicnum=0;
		if($r[morepic])
    	{
    		$r[morepic]=stripSlashes($r[morepic]);
    		//下载地址
    		$j=0;
    		$pd_record=explode("\r\n",$r[morepic]);
    		for($i=0;$i<count($pd_record);$i++)
    		{
				$j=$i+1;
    			$pd_field=explode("::::::",$pd_record[$i]);
				$morepicpath.="<tr> 
    <td width=7%><div align=center>".$j."</div></td>
    <td width=33%><div align=center>
        <input name=msmallpic[] type=text value='".$pd_field[0]."' size=28>
		<br><input type=file name=msmallpfile[] size=15>
      </div></td>
    <td width=30%><div align=center>
        <input name=mbigpic[] type=text value='".$pd_field[1]."' size=28>
		<br><input type=file name=mbigpfile[] size=15>
      </div></td>
    <td width=30%><div align=center>
        <input name=mpicname[] type=text value='".$pd_field[2]."'><input type=hidden name=mpicid[] value=".$j."><input type=checkbox name=mdelpicid[] value=".$j.">删
      </div></td>
  </tr>";
    		}
    		$morepicnum=$j;
    		$morepicpath="<table width=100% border=0 cellspacing=1 cellpadding=3>".$morepicpath."</table>";
    	}
	}
	//----------下载系统模型
	$downloadpath="";
	if(strstr($modr[enter],"downpath<"))
	{
		$editnum=0;
		if($r[downpath])
		{
			$r[downpath]=stripSlashes($r[downpath]);
			//下载地址
			$j=0;
			$d_record=explode("\r\n",$r[downpath]);
			for($i=0;$i<count($d_record);$i++)
			{
				$j=$i+1;
				$d_field=explode("::::::",$d_record[$i]);
				//权限
				$tgroup=str_replace(" value=".$d_field[2].">"," value=".$d_field[2]." selected>",$ygroup);
				//地址前缀
				$tnewdownqz=str_replace(" value='".$d_field[4]."'>"," value='".$d_field[4]."' selected>",$newdownqz);
				$downloadpath.="<tr><td width=7%><div align=center>".$j."</div></td><td width=19%><div align=left><input name=downname[] type=text id=downname[] value='".$d_field[0]."' size=17></div></td><td width=40%><input name=downpath[] type=text id=downpath[] value='".$d_field[1]."' size=30><select name=thedownqz[]><option value=''>--地址前缀--</option>".$tnewdownqz."</select><input type=hidden name=pathid[] value=".$j."><input type=checkbox name=delpathid[] value=".$j.">删</td><td width=21%><div align=center><select name=downuser[] id=select><option value=0>游客</option>".$tgroup."</select></div></td><td width=13%><div align=center><input name=fen[] type=text id=fen[] value='".$d_field[3]."' size=6></div></td></tr>";
			}
			$editnum=$j;
			$downloadpath="<table width=100% border=0 cellspacing=1 cellpadding=3>".$downloadpath."</table>";
		}
	}
	//-----------在线电影模型
	if(strstr($modr[enter],"onlinepath<"))
	{
		$onlinemoviepath="";
		$oeditnum=0;
	   if($r[onlinepath])
	   {
			$j=0;
			$od_record=explode("\r\n",$r[onlinepath]);
			for($i=0;$i<count($od_record);$i++)
			{
				$j=$i+1;
				$od_field=explode("::::::",$od_record[$i]);
				//权限
				$tgroup=str_replace(" value=".$od_field[2].">"," value=".$od_field[2]." selected>",$ygroup);
				//地址前缀
				$tnewdownqz=str_replace(" value='".$od_field[4]."'>"," value='".$od_field[4]."' selected>",$newdownqz);
				$onlinemoviepath.="<tr><td width=7%><div align=center>".$j."</div></td><td width=19%><div align=left><input name=odownname[] type=text value='".$od_field[0]."' size=17></div></td><td width=40%><input name=odownpath[] type=text value='".$od_field[1]."' size=30><select name=othedownqz[]><option value=''>--地址前缀--</option>".$tnewdownqz."</select><input type=hidden name=opathid[] value=".$j."><input type=checkbox name=odelpathid[] value=".$j.">删</td><td width=21%><div align=center><select name=odownuser[] id=select><option value=0>游客</option>".$tgroup."</select></div></td><td width=13%><div align=center><input name=ofen[] type=text value='".$od_field[3]."' size=6></div></td></tr>";
			}
			$oeditnum=$j;
			$onlinemoviepath="<table width=100% border=0 cellspacing=1 cellpadding=3>".$onlinemoviepath."</table>";
	   }
	   if(empty($r[wplay]))
		{
			$wplay0=" checked";
			$wplay1="";
		}
    }
}
//取得专题类别
$ztwhere=ReturnClass($class_r[$classid][featherclass]);
$z_sql=$empire->query("select ztname,ztid,tbname from {$dbtbpre}enewszt where classid=0 or classid='$classid' or (".$ztwhere.") order by ztid");
$j=0;
$br="";
while($z_r=$empire->fetch($z_sql))
{
	//不同表
	if($class_r[$classid][tbname]!=$z_r[tbname])
	{continue;}
	$j++;
	if($j%8==0)
	{
		$br="<br>";
	}
	else
	{
		$br="";
	}
	$c_zr=explode("|".$z_r[ztid]."|",$r[ztid]);
	if(count($c_zr)<>1)
	{$z_s=" checked";}
	else
	{$z_s="";}
	$z_class.="<input type=checkbox name=ztid[] value='".$z_r[ztid]."'".$z_s.">".$z_r[ztname]."&nbsp;".$br;
}
//------信息来源
if(strstr($modr[enter],"befrom<"))
{
	$befrom_sql=$empire->query("select sitename from {$dbtbpre}enewsbefrom");
	while($b_r=$empire->fetch($befrom_sql))
	{
		$b_class.="<option value='".$b_r[sitename]."'>".$b_r[sitename]."</option>";
	}
}
//作者
if(strstr($modr[enter],"writer<"))
{
	$writer_sql=$empire->query("select writer from {$dbtbpre}enewswriter");
	while($w_r=$empire->fetch($writer_sql))
	{
		$w_class.="<option value='".$w_r[writer]."'>".$w_r[writer]."</option>";
	}
}
//符号
$fh0=" checked";
$fh1="";
if($r[fh])
{
	$fh1=" checked";
	$fh0="";
}
//内容模板
$t_sql=$empire->query("select tempid,tempname from ".GetTemptb("enewsnewstemp")." where modid='$modid' order by tempid");
while($nt=$empire->fetch($t_sql))
{
	if($enews=="EditNews")
	{
		if($nt[tempid]==$r[newstempid])
		{
			$select=" selected";
		}
		else
		{
			$select="";
		}
	}
	else
	{
		if($nt[tempid]==$class_r[$classid][newstempid])
		{
			$select=" selected";
		}
		else
		{
			$select="";
		}
	}
	$newstemp.="<option value=".$nt[tempid].$select.">".$nt[tempname]."</option>";
}
db_close();
$empire=null;
//表单文件
$modfile="../data/html/".$modid.".php";
//风格
$loginadminstyleid=(int)getcvar('loginadminstyleid');
?>
<html>
<head>
<title>增加信息</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" href="adminstyle/<?=$loginadminstyleid?>/adminstyle.css" type="text/css">
<?=$htmlareacode?>
<script>
function on()
{
var f=document.add
f.HTML.value=f.newstext.value;
}
function writer(tag){
var f=document.add.writer
f.value=tag+f.value
f.focus()
}
function tj(tag){
var f=document.add.writer
f.value=f.value+tag
f.focus()
}
function clear(){
if(confirm("是否复位作者信息？")){
document.add.writer.value=""
document.add.writer.focus()
}
}
function bs(){
var f=document.add;

if(f.title.value.length==0){alert("标题还没写");f.title.focus();return false;}
}
function br(){
if(!confirm("是否复位？")){return false;}
document.add.title.select()
}

function foreColor()
{
  if (!Error())	return;
  var arr = showModalDialog("editor/selcolor.html", "", "dialogWidth:18.5em; dialogHeight:17.5em; status:0");
  if (arr != null) document.add.titlecolor.value=arr;
  else document.add.titlecolor.focus();
}
</script>
</head>

<body bgcolor="#FFFFFF" text="#000000"<?=$onload?>>
<noscript>
<iframe src=*.htm>
</iframe>
</noscript>
<table width="100%" border="0" align="center" cellpadding="3" cellspacing="1">
  <tr>
    <td height="25">位置： 
      <?=$url?>
    </td>
  </tr>
</table>
<form name="add" method="post" onreset="return br()" enctype="multipart/form-data" action=enews.php>
  <table width="100%" align="center" cellpadding="3" cellspacing="1" class="tableborder">
    <tr class="header"> 
      <td width="16%" height="25">
<div align="left">增加信息</div></td>
      <td><input type="submit" name="addnews2" value="提交"> <input type="reset" name="Submit23" value="重置">
        <input type=hidden value=<?=$enews?> name=enews> <input type=hidden value=<?=$classid?> name=classid> 
        <input type=hidden value=<?=$bclassid?> name=bclassid> <input name=id type=hidden id="id2" value=<?=$id?>> 
        <input type=hidden value="<?=$r[newspath]?>" name=newspath> <input type=hidden value="<?=$r[ztid]?>" name=oldztid> 
        <input type=hidden value="<?=$filepass?>" name=filepass> <input type=hidden value="<?=$r[username]?>" name=username> 
        <input name="filename" type="hidden" id="filename2" value="<?=$r[filename]?>"> 
        <input name="oldfilenameqz" type="hidden" id="oldfilenameqz2" value="<?=$r[filenameqz]?>"> 
        <input name="oldgroupid" type="hidden" id="oldgroupid2" value="<?=$r[groupid]?>"> 
        <input name="oldchecked" type="hidden" id="oldchecked2" value="<?=$r[checked]?>"> 
        <input name="oldcheckuser" type="hidden" id="oldcheckuser2" value="<?=$r[checkuser]?>"> 
        <input name="oldnotdocheckuser" type="hidden" id="oldnotdocheckuser2" value="<?=$r[notdocheckuser]?>"> 
        <input name="oldviewcheckuser" type="hidden" id="oldviewcheckuser2" value="<?=$r[viewcheckuser]?>"> 
        <input name="newstext_url" type="hidden" id="newstext_url2" value="<?=$newstext_url?>"> 
      </td>
    </tr>
  </table>
  <?
@include($modfile);
?>
  <table width="100%" border="0" align="center" cellpadding="3" cellspacing="1" class="tableborder">
    <tr class="header">
      <td width="16%">&nbsp;</td>
      <td><input type="submit" name="addnews" value="提交"> <input type="reset" name="Submit2" value="重置"></td>
    </tr>
  </table>
</form>
</body>
</html>











